Bug 655954 - Review Request: drupal6-token - Tokens are small bits of text that can be placed into larger documents
Review Request: drupal6-token - Tokens are small bits of text that can be pla...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2010-11-22 13:46 EST by Peter Borsa
Modified: 2011-06-11 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: drupal6-token-1.16-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-08 15:57:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
stickster: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2010-11-22 13:46:50 EST
Spec URL: http://asrob.fedorapeople.org/drupal6-token.spec
SRPM URL: http://asrob.fedorapeople.org/drupal6-token-1.15-1.fc14.src.rpm
Description: Tokens are small bits of text that can be placed into larger documents via simple placeholders.
The Token module provides a central API for modules to use these tokens,
and expose their own token values.

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-token.spec ../SRPMS/drupal6-token-1.15-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2617133
Watching tasks (this may be safely interrupted)...
2617133 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): free
2617133 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): free -> open (x86-01.phx2.fedoraproject.org)
  2617134 buildArch (drupal6-token-1.15-1.fc14.src.rpm, i386): open (x86-12.phx2.fedoraproject.org)
  2617134 buildArch (drupal6-token-1.15-1.fc14.src.rpm, i386): open (x86-12.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2617133 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2617133 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm) completed successfully
Comment 1 Peter Borsa 2010-12-01 12:16:11 EST
Updated files

http://asrob.fedorapeople.org/SOURCES/drupal6-token.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-token-1.15-1.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-token.spec ../SRPMS/drupal6-token-1.15-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2637120
Watching tasks (this may be safely interrupted)...
2637120 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): free
2637120 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): free -> open (ppc05.phx2.fedoraproject.org)
  2637121 buildArch (drupal6-token-1.15-1.fc14.src.rpm, noarch): free
  2637121 buildArch (drupal6-token-1.15-1.fc14.src.rpm, noarch): free -> open (x86-05.phx2.fedoraproject.org)
  2637121 buildArch (drupal6-token-1.15-1.fc14.src.rpm, noarch): open (x86-05.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2637120 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): open (ppc05.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2637120 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm) completed successfully
Comment 2 Paul W. Frields 2010-12-17 07:51:52 EST
Peter, when you include rpmlint output, please remember to include it for the binary RPM as well.

$ rpmlint rpmbuild/SPECS/drupal6-token.spec drupal6-token-1.15-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-token-1.15-1.fc14.noarch.rpm 
drupal6-token.noarch: W: incoherent-version-in-changelog 1.15 ['1.15-1.fc14', '1.15-1']
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

* Fix your %changelog entry. This was a problem in another spec file also, if I recall correctly.

* Your definition of %drupaldir at the top won't work in Fedora Rawhide/F-15 and should probably use guidance I provided for you in one of your other package review bugs.

I don't see any other glaring problems, just repost when you have these fixed and I can complete a full review.
Comment 3 Peter Borsa 2010-12-19 07:50:36 EST
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-token.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-token-1.15-1.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-token.spec ../SRPMS/drupal6-token-1.15-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:


Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2675858
Watching tasks (this may be safely interrupted)...
2675858 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): open (x86-11.phx2.fedoraproject.org)
  2675859 buildArch (drupal6-token-1.15-1.fc14.src.rpm, noarch): open (x86-14.phx2.fedoraproject.org)
  2675859 buildArch (drupal6-token-1.15-1.fc14.src.rpm, noarch): open (x86-14.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2675858 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2675858 build (dist-f14, drupal6-token-1.15-1.fc14.src.rpm) completed successfully
Comment 4 Paul W. Frields 2011-01-06 10:17:45 EST
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/drupal6-token.spec rpmbuild/SRPMS/drupal6-token-1.15-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-token-1.15-1.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

* To work in EPEL, the definition of %drupaldir in the spec should be
  changed to read:

  %if %{?fedora}
  %define drupaldir %{_datadir}/drupal
  %endif
  %if %{?rhel}
  %define drupaldir %{_datadir}/drupal6
  %endif

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-token-1.15/token-6.x-1.15.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/token-6.x-1.15.tar.gz | md5sum -
65749e2a67c3a8725be611ea75244873  rpmbuild/SOURCES/drupal6-token-1.15/token-6.x-1.15.tar.gz
65749e2a67c3a8725be611ea75244873  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ N/A ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ O K ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ O K ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ N/A ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

- - -

APPROVED.  You can now continue with requesting git branches for this package fo Fedora.  Note the guidance above if you plan to maintain branches for EPEL or older Fedora releases.
Comment 5 Peter Borsa 2011-01-08 03:02:39 EST
New Package SCM Request
=======================
Package Name: drupal6-token
Short Description: Tokens are small bits of text that can be placed into larger documents
Owners: asrob
Branches: f14
InitialCC:
Comment 6 Jason Tibbitts 2011-01-08 13:28:11 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-01-08 16:18:07 EST
drupal6-token-1.15-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-token-1.15-2.fc14
Comment 8 Peter Borsa 2011-01-28 12:35:05 EST
Package Change Request
======================
Package Name: drupal6-token
New Branches: el5 el6
Owners: asrob
Comment 9 Jason Tibbitts 2011-01-28 19:33:39 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-02-21 10:56:19 EST
drupal6-token-1.15-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-token-1.15-5.el5
Comment 11 Fedora Update System 2011-02-21 11:03:19 EST
drupal6-token-1.15-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-token-1.15-5.el6
Comment 12 Fedora Update System 2011-03-28 13:25:13 EDT
drupal6-token-1.15-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Fedora Update System 2011-03-28 13:30:17 EDT
drupal6-token-1.15-5.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 14 Fedora Update System 2011-05-19 06:46:17 EDT
drupal6-token-1.16-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-token-1.16-1.fc14
Comment 15 Fedora Update System 2011-06-11 00:21:07 EDT
drupal6-token-1.16-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.